Update a bank account Run in API Explorer
Ask AI
Body
-
The UUIDs of the accounts who should own the bank account. These must only be client accounts.
-
The UUIDs of the accounts who should have the bank account as their primary bank account.
-
The friendly name for the bank account.
Maximum length is
255. -
The name of the bank account holder(s) as it appears on statements
Maximum length is
255. -
The bank account number.
-
The bank account sort code
PUT
/api/v2/bank-accounts/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v2/bank-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"account_uuids": [
"aba2d286-b31c-4118-9e01-c3400533ce93",
"7caea308-6458-48ff-98d7-e2d5b4f99c1d",
"2f6b4f7b-b9ee-4e81-9cf1-bf30fcd1356f"
],
"primary_account_uuids": [
"26e24f2e-3461-427f-8eac-1f6226c97c60",
"66971988-e414-44d7-b221-714b42fee069",
"268eee7a-1ca1-4efc-96c8-9704dcafd39d"
],
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "01234567",
"sort_code": "012345"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuids": [
"aba2d286-b31c-4118-9e01-c3400533ce93",
"7caea308-6458-48ff-98d7-e2d5b4f99c1d",
"2f6b4f7b-b9ee-4e81-9cf1-bf30fcd1356f"
],
"primary_account_uuids": [
"26e24f2e-3461-427f-8eac-1f6226c97c60",
"66971988-e414-44d7-b221-714b42fee069",
"268eee7a-1ca1-4efc-96c8-9704dcafd39d"
],
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "01234567",
"sort_code": "012345"
}
Response examples (200)
{
"uuid": "d6170038-6547-4263-9f75-489c11aeb112",
"created_at": "2026-11-17T20:47:12+00:00",
"updated_at": "2026-11-17T20:47:12+00:00",
"account_name": "Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "12345678",
"sort_code": "123456",
"accounts": {
"uuid": "65fa385a-f96f-44bb-b63d-1cbcab631676",
"created_at": "2026-11-17T20:47:12+00:00",
"updated_at": "2026-11-17T20:47:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "e60cd311-ab26-4218-beb1-d45e98d3d963",
"created_at": "2026-11-17T20:47:12+00:00",
"updated_at": "2026-11-17T20:47:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}